Output API for dead links logging interface
Closed, ResolvedPublic5 Story Points

Description

For the dead links logging interface, create an output API that shows:

  • the last time that a particular page was checked
  • the last article that a particular bot processed

This will help a bot that crashed or paused to pick up where it left off, and it'll help multiple bots running on the same wiki to avoid checking the same pages that another bot recently processed.

DannyH created this task.Mar 3 2016, 1:50 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 3 2016, 1:50 AM
DannyH set the point value for this task to 5.
Niharika claimed this task.Mar 7 2016, 3:07 PM
Niharika moved this task from Ready to In Development on the Community-Tech-Sprint board.

Done. Covers 3 cases for now.

  1. Wiki and bot name given:
  2. Wiki and page ID given:
  3. Bot name given:

Code at: https://github.com/Niharika29/Deadlink_logger/blob/master/public_html/api/query.php

Added review comments at https://github.com/Niharika29/Deadlink_logger/commit/89c7c7d69cc720179b957f73ffb5d4d4b5ba3d1b

Also, this isn't related to the current code, but I noticed one other minor thing that should be fixed. You should make sure that $html is defined in index.php (before it is output).

Done. I also did some cleanup in index.php. The chart and table now autoload when the page first launches with a default query on enwiki.

kaldari closed this task as Resolved.Mar 16 2016, 4:57 PM
kaldari moved this task from Needs Review/Feedback to Done on the Community-Tech-Sprint board.